package com.willalp.canteen.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.canteen.domain.HsGiftType;

import java.util.List;

/**
 * 礼品类型Mapper接口
 *
 * @author willalp
 * @date 2022-12-19
 */
public interface HsGiftTypeMapper extends BaseMapper<HsGiftType>
{
    /**
     * 查询礼品类型列表
     *
     * @param hsGiftType 礼品类型
     * @return 礼品类型集合
     */
    public List<HsGiftType> selectHsGiftTypeList(HsGiftType hsGiftType);

}
