package com.willalp.canteen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.canteen.domain.HsGiftType;

import java.util.List;

/**
 * 礼品类型Service接口
 *
 * @author willalp
 * @date 2022-12-19
 */
public interface IHsGiftTypeService extends IService<HsGiftType>
{

    /**
     * 查询礼品类型列表
     *
     * @param hsGiftType 礼品类型
     * @return 礼品类型集合
     */
    public List<HsGiftType> selectHsGiftTypeList(HsGiftType hsGiftType);

    /**
     *
     * @return
     */
    List<HsGiftType> appSelectHsGiftType();

}
