package com.willalp.event.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.event.domain.HsEventImg;

import java.util.List;

/**
 * 事件（活动）图片信息Mapper接口
 *
 * @author willalp
 * @date 2023-04-10
 */
public interface HsEventImgMapper extends BaseMapper<HsEventImg>
{
    /**
     * 查询事件（活动）图片信息列表
     *
     * @param hsEventImg 事件（活动）图片信息
     * @return 事件（活动）图片信息集合
     */
    List<HsEventImg> selectHsEventImgList(HsEventImg hsEventImg);
}
