/**
 * @projectName willalp-pns-ml
 * @package com.willalp.flow.domain.json
 * @className com.willalp.flow.domain.json.Operators
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.flow.domain.json;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Operators
 * @description base组件审核人员
 * @author hs
 * @date 2023/1/6 9:52
 * @version 1.0
 */
@NoArgsConstructor
@Data
public class Operators {

    public List<OperatorDto> assignedUser;

    @NoArgsConstructor
    @Data
    public static class OperatorDto {
        @JsonProperty("name")
        private String name;
        @JsonProperty("id")
        private String id;
        @JsonProperty("type")
        private String type;
        @JsonProperty("selected")
        private Boolean selected;
    }
}
 