package com.willalp.vacation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.vacation.domain.HsVacationSurplus;

import java.util.List;

/**
 * 假期剩余Service接口
 *
 * @author willalp
 * @date 2023-03-19
 */
public interface IHsVacationSurplusService extends IService<HsVacationSurplus>
{
    /**
     * 查询假期剩余列表
     *
     * @param hsVacationSurplus 假期剩余
     * @return 假期剩余集合
     */
    public List<HsVacationSurplus> selectHsVacationSurplusList(HsVacationSurplus hsVacationSurplus);
}
