package com.willalp.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.event.domain.HsEventImg;

import java.util.List;

/**
 * 事件（活动）图片信息Service接口
 *
 * @author willalp
 * @date 2023-04-10
 */
public interface IHsEventImgService extends IService<HsEventImg>
{
    /**
     * 查询事件（活动）图片信息列表
     *
     * @param hsEventImg 事件（活动）图片信息
     * @return 事件（活动）图片信息集合
     */
    public List<HsEventImg> selectHsEventImgList(HsEventImg hsEventImg);
}
