package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.ReserveConsumingRecord;

import java.util.List;

/**
 * 物资领用申请业务数据记录Mapper接口
 *
 * @author willalp
 * @date 2023-01-12
 */
public interface ReserveConsumingRecordMapper extends BaseMapper<ReserveConsumingRecord>
{
    /**
     * 查询物资领用申请业务数据记录列表
     *
     * @param reserveConsumingRecord 物资领用申请业务数据记录
     * @return 物资领用申请业务数据记录集合
     */
    List<ReserveConsumingRecord> selectReserveConsumingRecordList(ReserveConsumingRecord reserveConsumingRecord);
}
