package com.willalp.vacation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.vacation.domain.HsChangeOfficialRecord;

import java.util.List;

/**
 * 转正记录Service接口
 *
 * @author willalp
 * @date 2023-03-19
 */
public interface IHsChangeOfficialRecordService extends IService<HsChangeOfficialRecord>
{
    /**
     * 查询转正记录列表
     *
     * @param hsChangeOfficialRecord 转正记录
     * @return 转正记录集合
     */
    public List<HsChangeOfficialRecord> selectHsChangeOfficialRecordList(HsChangeOfficialRecord hsChangeOfficialRecord);
}
