package com.willalp.vacation.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.vacation.domain.HsProbationPeriodScore;

/**
 * 试用期考评Service接口
 *
 * @author willalp
 * @date 2023-03-19
 */
public interface IHsProbationPeriodScoreService extends IService<HsProbationPeriodScore>
{
    /**
     * 查询试用期考评列表
     *
     * @param hsProbationPeriodScore 试用期考评
     * @return 试用期考评集合
     */
    public List<HsProbationPeriodScore> selectHsProbationPeriodScoreList(HsProbationPeriodScore hsProbationPeriodScore);
}
