package com.willalp.vacation.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.vacation.domain.HsVacationRule;

/**
 * 假期规则Service接口
 *
 * @author willalp
 * @date 2023-03-19
 */
public interface IHsVacationRuleService extends IService<HsVacationRule>
{
    /**
     * 查询假期规则列表
     *
     * @param hsVacationRule 假期规则
     * @return 假期规则集合
     */
    public List<HsVacationRule> selectHsVacationRuleList(HsVacationRule hsVacationRule);
}
