package com.willalp.erms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.erms.domain.HsGoodsType;

import java.util.List;

/**
 * 物资类库Service接口
 *
 * @author willalp
 * @date 2023-03-09
 */
public interface IHsGoodsTypeService extends IService<HsGoodsType>
{
    /**
     * 查询物资类库列表
     *
     * @param hsGoodsType 物资类库
     * @return 物资类库集合
     */
    public List<HsGoodsType> selectHsGoodsTypeList(HsGoodsType hsGoodsType);

    /**
     *
     * @param type
     * @return
     */
    List<HsGoodsType> appGetGoodsType(String type);
}
